rules:
  # Bronze
  action-setup: done
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      The integration has deprecated the actions, thus the documentation has been removed.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration does not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: todo
    comment: |
      Raise ServiceValidationError in async_get_entry_for_service_call.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      The integration does not provide any additional options.
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: todo
  reauthentication-flow: todo
  test-coverage:
    status: todo
    comment: |
      Coverage for loading and unloading config entries is missing.

  # Gold
  devices: done
  diagnostics: todo
  discovery-update-info:
    status: exempt
    comment: |
      This integration cannot be discovered.
  discovery:
    status: exempt
    comment: |
      This integration cannot be discovered.
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions:
    status: todo
    comment: |
      Describe the state of the sensor and make it a enum sensor.
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      The integration connects to a single service per configuration entry.
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: todo
  icon-translations: done
  reconfiguration-flow: done
  repair-issues: done
  stale-devices:
    status: exempt
    comment: |
      This integration connect to a single service per configuration entry.

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: todo
